/*
 * @Author: Gaoxs
 * @Date: 2023-04-07 15:12:06
 * @LastEditors: Gaoxs
 * @Description:
 */
import util from '@/utils'
import shareConfig from '@/utils/share.js'

import App from './App'

import { createPinia } from 'pinia'

import { createSSRApp } from 'vue'

export function createApp() {
  const app = createSSRApp(App)
  app.use(util)
  app.use(createPinia())
  app.mixin(shareConfig)
  return {
    app,
  }
}
